Bug 188725 - Copy shortcut clears clipboard when nothing is selected
Summary: Copy shortcut clears clipboard when nothing is selected
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-03 11:04 UTC by Ben Boeckel
Modified: 2010-02-24 05:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Boeckel 2009-04-03 11:04:29 UTC
Version:            (using KDE 4.2.1)
Installed from:    Fedora RPMs

When using the copy shortcut (Ctrl+Shift+C) when nothing is selected, the clipboard contents are erased (or pushed down the stack when Klipper is enabled). It should do nothing when there is no selection.
Comment 1 Ben Boeckel 2009-06-19 05:15:19 UTC
I still see this behavior in 4.2.90
Comment 2 Kurt Hindenburg 2010-01-18 00:00:02 UTC
SVN commit 1076289 by hindenburg:

Don't copy an empty string to the clipboard.  Ideally this should be handled by disable-ing the menu/shortcuts for Copy/Cut/Paste (Wish 203768).

BUG: 188725


 M  +2 -1      TerminalDisplay.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1076289
Comment 3 Kurt Hindenburg 2010-02-24 05:35:16 UTC
SVN commit 1095367 by hindenburg:

Don't copy an empty string to the clipboard.  Ideally this should be handled by
disable-ing the menu/shortcuts for Copy/Cut/Paste (Wish 203768).

CCBUG: 188725


 M  +2 -1      TerminalDisplay.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1095367